﻿using System.Collections.Generic;
using System.Windows;

namespace DynamicEditors
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public MyViewModel ViewModel { get; private set; }

        public Window1()
        {
            ViewModel = new MyViewModel();

            List<MyModel> models = new List<MyModel>();
            models.Add(new MyModel { DrivingProperty = "a" });
            models.Add(new MyModel { DrivingProperty = "b" });
            models.Add(new MyModel { DrivingProperty = "c" });
            models.Add(new MyModel { DrivingProperty = "b" });
            ViewModel.Models = models;

            InitializeComponent();
        }
    }
}
